Subject: Zsh does not load /etc/profile values by default

From: "Danny O'Brien" <[email-masked]>
Date: Sat, 16 Nov 2019 23:14:24 -0800

Right now, an installation of zsh as a primary shell won't read in the
environmental settings in /etc/profile -- it looks for (but doesn't
find) a /etc/zprofile file instead.

Not sure what the correct approach should be here. We could symlink
/etc/zprofile to /etc/profile , but that would require knowing that
/etc/profile was always available. Or we could include a source'ing of
/etc/profile in /etc/zprofile.

I'm not sure what status /etc/profile holds in Guix -- is it the
canonical location for any user-wide environment settings? Will it be
guaranteed to be POSIXly correct, rather than having any bashisms?

Thanks for your work,

d.